
include:
     - '/templates/gitlab-ci/templates/global-rpm-container-docker.gitlab-ci.template.yml'
     - '/templates/gitlab-ci/templates/gem-ci-docker.gitlab-ci.template.yml'
      

variables:
    # BASE_CONTAINER is only used for gemini-ade, rtems and all ioc projects,
    # as well as for projects with a branch name which is not yet existing for one 
    # of the three: in this case, the system assumes that an extra repository,
    # either for tests or for special versions of (support) modules that might
    # be needed for an IOC. 
    # For all other projects (where essentially only an RPM is build and deployed
    # to one of the repos defined by the three/four types of projects above) this
    # setting is derived from the branch name
    BASE_CONTAINER: "rockylinux:8"
